Bug 168635 - Review Request: colorscheme: generate a variety of colorschemes from a single starting color
Review Request: colorscheme: generate a variety of colorschemes from a single...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Kuratomi
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-09-18 15:36 EDT by Aurelien Bompard
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 03:59:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2005-09-18 15:36:11 EDT
Spec Name or Url: http://gauret.free.fr/fichiers/rpms/fedora/colorscheme.spec
SRPM Name or Url: http://gauret.free.fr/fichiers/rpms/fedora/colorscheme-0.2.1-1.src.rpm
Have you ever been re-finishing a room in your home and found yourself asking
"What color would go well with this" ? Or been working on a website and not
able to find the perfect colorscheme to go with the company logo ?
Try GNOME Colorscheme. GNOME Colorscheme is a very simple application for the
GNOME desktop that allows you to generate a variety of colorschemes from a
single starting color.
Comment 1 Toshio Kuratomi 2005-09-20 00:36:26 EDT
But see Notes.

b017737456db88209a405e26b81b6f64  colorscheme.spec
49ee1ae0b442054e1857a27d90591f6e  colorscheme-0.2.1-1.src.rpm

* Package name follows namng guidelines.
* spec is named after the package name.
* License is GPL, matches the spec name, and is included in the package.
* Spec file is legible
* Builds on x86_64.
* No ExcludeArchs yet.
* No excluded BuildRequires.
* Builds in mock
* Matches upstream source
* Owns all directories
* No duplicate files
* Permissions set correctly
* Has %clean section
* Makes good use of macros
* Code not content
* Properly contains a .desktop file.

* rpmlint gives:
  W: colorscheme wrong-file-end-of-line-encoding
  This could be fixed with dos2unix, ignored, or the TODO file could be left
  out of the distribution.  It isn't terribly useful.

* colorscheme has its own unittests.  These are enabled by buildrequiring
  cppunit-devel and running make check in the %check section.  I tried to
  run the tests on the current package and found that quite a few of them
  failed.  If this isn't known, you might want to run the tests and submit
  a bug upstream.
* I don't believe there's a lot of value in including the .sig.  A reviewer
  still has to go to the project website to verify the origin of the .sig and
  (most of the time) that the key seems to belong to the upstream author.
  The .sig should be checked by the reviewer but not included in the finished
  package.  If you have/know of another view, feel free to share.
Comment 2 Aurelien Bompard 2005-09-20 03:44:24 EDT
> unittests

I've added a "make check || :" in the rpm, and reported the failed tests upstream.

> signature

Agreed, if the sig is not signed by people you trust, it's as valuable as an
MD5SUM. Removed.

I'll import the package with these modifications.

Note You need to log in before you can comment on or make changes to this bug.